Page 2 sur 4

MessagePosté: 21 Jan 2008, 20:09
de piratebab
Sur le lien que j'ai t'es donné, tout fonctionne avec le kernel 2.6.21. Il semblerait que le 2.6.18 sont aussi acceptable.

MessagePosté: 22 Jan 2008, 18:07
de MethodMan
Bonjour,
Le passage à Lenny a fait un peu de bien à ma machine :Mouaaarrrrffffffff:
J'ai le son maintanant. Il ne me manque plus qu'a bosser sur le wifi, le bluetooth et la webcam.
j'ai maintenant 2.6.22-3-686 comme version de noyau

Bonne fin de journée!!!

MessagePosté: 22 Jan 2008, 18:26
de piratebab
iwconfig te dira si le wifi est installé

MessagePosté: 22 Jan 2008, 18:30
de MethodMan
Salut Piratebab,
Je l'ai fait et ça m'a donné
lo no wireless extensions.

eth0 no wireless extensions.

J'ai donc déduit que je n'ai pas de wifi

MessagePosté: 23 Jan 2008, 10:12
de piratebab
Il faut installer le driver.
Je vois dans le résultat que t'as donné le site kmuto que c'est le driver ipw3945.
Tu as plusieurs possibilités:
- regarde avec synaptic si tu as le module compilé pour ton noyau
- charge le module source ipw3945 avec synaptic, puis installe le avec module assistant (m-a a-i ipw3945)
- installe le noyau 2.6.23 qui intègre ce driver

MessagePosté: 23 Jan 2008, 17:32
de MethodMan
Bonjour,
J'ai choisi d'installer le noyau 2.6.23 (espèrant qu'il intègre aussi les drivers du bluetooth et de la webcam). Pour le faire, je m'aide ici. Mais ça coince à létape 3. Après avoir installé gcc, lorsque je fais
Code: Tout sélectionner
make menuconfig

il s'affiche
make: *** Pas de règle pour fabriquer la cible « menuconfig ». Arrêt.

j'ai essayé avec quelques options, mais c'est toujours la même chose.

MessagePosté: 23 Jan 2008, 19:16
de piratebab
Ne te lance pas dans une compilation du noyau!
Utilise tout simplement synaptic!
fait d'abord un uname -r pour connaitre exactement le noyau que tu as actuellement (à priori un 686)
Installe le paquet linux-image-2.6.23-1-686 (à adapter )
Puis te reboote sur ce noyau
Ensuite un m-a prepare te chargera les en têtes.
Il te faudra peut être recompiler des drivers (par exemple les drivers graphiques graphiques si tu les as installé).

MessagePosté: 23 Jan 2008, 23:59
de MethodMan
Bonsoir,
Pour le wifi c'est ok :D
Après avoir installé le noyau 2.6.23, j'ai procédé à la recherche de depot pour ipw3945 ici que j'ai coller dans /etc/apt/sources.list. puis j'ai fait
Code: Tout sélectionner
aptitude update
aptitude install module-assistant ipw3945d
m-a prepare
m-a a-i ipw3945
modprobe ipw3945

J'ai ensuite installé wlassistant pour configurer le wifi.

J'aimerais savoir si je peux déinstaller les anciens noyaux (2.6.18 et 2.6.22) ?

MessagePosté: 24 Jan 2008, 08:11
de piratebab
Tu peux désinstaller les anciens noyaux, mais je te recommande d'en garder au moins 2. Ainsi si tu fais une erreur de manip lors de l'installation d'un module, tu pourras reveneir sur un ancien noyau.
Les noyaux tiennent de la place sur le disque, il est inutile d'en conserver plus de 2.
N'oublie pas de supprimer aussi les headers.

Je suis étonné que tu ai été obliger de charger les sources, j'ai lu que ce driver était intégré au noyau 2.6.23. J'ai du mal lire.

Tu as le son, le wifi, il te manque juste la webcam.
Refais un lsusb, lenny devrait mieux l'identifier.

ça devrait être le gspcav1 d'après mes recherches.
Je ne peux pas vérifier si le module source est dans les dépôts debian avant ce soir, si tu ne le trouves pas cherche ici:http://mxhaard.free.fr/

MessagePosté: 24 Jan 2008, 08:21
de MethodMan
Bonjour,
Il manque le bluetooh et la webcam
voici le resultat du lsusb
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 005 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 002: ID 046d:0896 Logitech, Inc.
Bus 001 Device 001: ID 0000:0000


Bonne journée